# DataExchange
TKSTEPBase
StepShape

# StepShape_ConnectedEdgeSet Class Reference

Representation of STEP entity ConnectedEdgeSet
.

`#include <StepShape_ConnectedEdgeSet.hxx>`

Inheritance diagram for StepShape_ConnectedEdgeSet:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_ConnectedEdgeSet ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepShape_HArray1OfEdge)&aCesEdges)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepShape_HArray1OfEdge | CesEdges () const
| Returns field CesEdges .
Standard_EXPORT void | SetCesEdges (const Handle(StepShape_HArray1OfEdge)&CesEdges)
| Set field CesEdges .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_HArray1OfEdge | theCesEdges

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ConnectedEdgeSet::StepShape_ConnectedEdgeSet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepShape_HArray1OfEdge StepShape_ConnectedEdgeSet::CesEdges | ( |  | ) | const

Standard_EXPORT const StepShape_ConnectedEdgeSet::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_TopologicalRepresentationItem.

Standard_EXPORT void StepShape_ConnectedEdgeSet::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepShape_HArray1OfEdge)& | aCesEdges
| ) |

Standard_EXPORT void StepShape_ConnectedEdgeSet::SetCesEdges | ( | const Handle(StepShape_HArray1OfEdge)& | CesEdges | ) |

## Field Documentation

Handle_StepShape_HArray1OfEdge StepShape_ConnectedEdgeSet::theCesEdges `[private]`

The documentation for this class was generated from the following file:

- StepShape_ConnectedEdgeSet.hxx